Bug 1250176 - [abrt] exaile: subprocess.py:1335:_execute_child:OSError: [Errno 2] No such file or directory
[abrt] exaile: subprocess.py:1335:_execute_child:OSError: [Errno 2] No such f...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: exaile (Show other bugs)
22
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: William Moreno
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:62d59f2d78b90292387ccebbb7e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-04 12:27 EDT by Rob
Modified: 2016-03-30 13:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-30 13:53:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.96 KB, text/plain)
2015-08-04 12:27 EDT, Rob
no flags Details
File: environ (1.14 KB, text/plain)
2015-08-04 12:27 EDT, Rob
no flags Details

  None (edit)
Description Rob 2015-08-04 12:27:44 EDT
Description of problem:
I tried to open the program and it simply did not open and gave an error message. 

Version-Release number of selected component:
exaile-3.4.3-1.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python2 /usr/share/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
dso_list:       python-libs-2.7.10-4.fc22.i686
executable:     /usr/share/exaile/exaile.py
kernel:         4.1.3-200.fc22.i686
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
subprocess.py:1335:_execute_child:OSError: [Errno 2] No such file or directory

Traceback (most recent call last):
  File "/usr/share/exaile/exaile.py", line 85, in <module>
    main()
  File "/usr/share/exaile/exaile.py", line 82, in main
    exaile = main.Exaile()
  File "/usr/share/exaile/xl/main.py", line 164, in __init__
    from xl.version import __version__
  File "/usr/share/exaile/xl/version.py", line 49, in <module>
    revision = get_current_revision(xdg.exaile_dir)
  File "/usr/share/exaile/xl/version.py", line 43, in get_current_revision
    'git', 'rev-parse', '--short=7', 'HEAD'
  File "/usr/lib/python2.7/subprocess.py", line 566, in check_output
    process = Popen(stdout=PIPE, *popenargs, **kwargs)
  File "/usr/lib/python2.7/subprocess.py", line 710, in __init__
    errread, errwrite)
  File "/usr/lib/python2.7/subprocess.py", line 1335, in _execute_child
    raise child_exception
OSError: [Errno 2] No such file or directory

Local variables in innermost frame:
errread: None
c2pread: 8
gc_was_enabled: True
errwrite: None
shell: False
errpipe_write: 11
to_close: set([8])
close_fds: False
self: <subprocess.Popen object at 0xb63c298c>
env: None
cwd: None
child_exception: OSError(2, 'No such file or directory')
args: ['git', 'rev-parse', '--short=7', 'HEAD']
executable: 'git'
c2pwrite: 9
data: 'cexceptions\nOSError\np0\n(I2\nS\'No such file or directory\'\np1\ntp2\nRp3\n(dp4\nS\'child_traceback\'\np5\nS\'Traceback (most recent call last):\\n  File "/usr/lib/python2.7/subprocess.py", line 1290, in _execute_child\\n    os.execvp(executable, args)\\n  File "/usr/lib/python2.7/os.py", line 346, in execvp\\n    _execvpe(file, args)\\n  File "/usr/lib/python2.7/os.py", line 382, in _execvpe\\n    func(fullname, *argrest)\\nOSError: [Errno 2] No such file or directory\\n\'\np6\nsb.'
creationflags: 0
errpipe_read: 10
preexec_fn: None
p2cread: None
startupinfo: None
p2cwrite: None
_close_in_parent: <function _close_in_parent at 0xb63c417c>
universal_newlines: False

Potential duplicate: bug 1244579
Comment 1 Rob 2015-08-04 12:27:46 EDT
Created attachment 1059169 [details]
File: backtrace
Comment 2 Rob 2015-08-04 12:27:47 EDT
Created attachment 1059170 [details]
File: environ
Comment 3 Fedora Admin XMLRPC Client 2016-02-26 12:43:04 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2016-03-14 19:37:34 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.